--- ball-1.3.2.orig/debian/README.source
+++ ball-1.3.2/debian/README.source
@@ -0,0 +1,7 @@
+The installation files for Windows and MacOS were not removed
+from the source tree. This would have slightly reduced the
+source code, but would have increased difficulties for remote
+administrators to provide homogeneous distributed environments.
+For scientific computing such reliability is essential.
+
+ -- Steffen Moeller <moeller@debian.org>  Tue, 21 Jul 2009 22:40:21 +0200
--- ball-1.3.2.orig/debian/python-ball.dirs
+++ ball-1.3.2/debian/python-ball.dirs
@@ -0,0 +1 @@
+usr/share/BALL
--- ball-1.3.2.orig/debian/changelog
+++ ball-1.3.2/debian/changelog
@@ -0,0 +1,87 @@
+ball (1.3.2-2) unstable; urgency=low
+
+  [Andreas Hildebrandt]
+  * Improvements for CMake build system (Closes: 546311)
+  * Some fixes for less common architectures and fixes in the sip dependencies
+   (Closes: 565694)
+  [Jonathan Wiltshire]
+  * Depend on python-support and call dh_pysupport in debian/rules.
+    Let python-support decide dependencies for python-ball and python-ballview.
+    (Closes: #566036)
+
+ -- Andreas Hildebrandt <anhi@bioinf.uni-sb.de>  Thu, 11 Feb 2010 22:15:09 +0100
+
+ball (1.3.2-1) unstable; urgency=low
+
+  * Updated to new upstream release 1.3.2
+
+ -- Andreas Hildebrandt <anhi@bioinf.uni-sb.de>  Tue, 19 Jan 2010 12:34:33 +0100
+
+ball (1.3.1-2) unstable; urgency=low
+
+  * Add python-sip4 as an explicit build-dependency (fixes an FTBFS)
+
+ -- Andreas Hildebrandt <anhi@bioinf.uni-sb.de>  Tue, 12 Jan 2010 10:25:36 +0100
+
+ball (1.3.1-1) unstable; urgency=low
+
+  * Updated to new upstream release 1.3.1 (Closes: 551241)
+  * Switched from autoconf to CMake (Closes: 552809)
+
+ -- Andreas Hildebrandt <anhi@bioinf.uni-sb.de>  Fri, 18 Dec 2009 14:20:08 +0100
+
+ball (1.3.0-2) UNRELEASED; urgency=low
+
+  [ Andreas Hildebrandt ]
+  * Increased dependency to python-sip4 to version 4.8.2, which
+    would need to be adjusted for lenny (4.7.2). The real (unexpressable)
+    dependency is to have the same version at build- and run-time.  [Steffen]
+
+  [ Charles Plessy ]
+  * Documented informations in ‘debian/upstream-metadata.yaml’.
+
+ -- Andreas Hildebrandt <anhi@bioinf.uni-sb.de>  Thu, 17 Sep 2009 22:30:28 +0200
+
+ball (1.3.0-1) unstable; urgency=low
+
+  * New upstream release 
+  * BALL no longer uses gSoap (Closes: #542215)
+  * Added s390 to list of supported processors (Closes: #546311)
+  * Fixed broken maintainer address (Closes: #544932)
+  * Updated policy-compliance to 3.8.3 (no changes reguired)
+  * Updated build-dependencies to demand more recent libtool
+
+ -- Andreas Hildebrandt <anhi@bioinf.uni-sb.de>  Thu, 17 Sep 2009 22:30:28 +0200
+
+ball (1.3+rc2-1) unstable; urgency=low
+
+  * Removed debian/copyright entries for files no longer in the repository
+  * Updated to new upstream release candidate
+  * Removed build-dependency on libboost-asio-dev (Closes: #542251)
+  * Some small packaging improvements
+
+ -- Andreas Hildebrandt <anhi@bioinf.uni-sb.de>  Thu, 17 Sep 2009 22:25:51 +0200
+
+ball (1.3+beta2.1-2) unstable; urgency=low
+
+  * Re-upload upon initial rejection to improve debian/copyright (Closes: #407665)
+  * Improved Doc-Base 
+  * Eliminated two lintian warnings
+
+ -- Andreas Hildebrandt <anhi@bioinf.uni-sb.de>  Sun, 16 Aug 2009 01:23:30 +0200
+
+ball (1.3+beta2.1-1) UNRELEASED; urgency=low
+
+  * Preparing for new upstream version 1.3 (Closes: #407665)
+  * Improvements for Debian packaging
+    - providing VIEW-independent and -dependent debs
+    - corrected for problematic copyright statements
+
+ -- Andreas Hildebrandt <anhi@bioinf.uni-sb.de>  Mon, 6 Jul 2009 17:43:00 +0100
+
+ball (1.2-1) UNRELEASED; urgency=low
+
+  * Initial packaging
+
+ -- Andreas Hildebrandt <anhi@bioinf.uni-sb.de>  Sun, 16 Nov 2008 20:24:32 +0100
+
--- ball-1.3.2.orig/debian/libball.dirs
+++ ball-1.3.2/debian/libball.dirs
@@ -0,0 +1,3 @@
+usr/lib
+usr/share/BALL
+usr/share/BALL/doc
--- ball-1.3.2.orig/debian/ballview.lintian-overrides
+++ ball-1.3.2/debian/ballview.lintian-overrides
@@ -0,0 +1,2 @@
+ballview binary: postinst-does-not-call-installdocs
+ballview binary: prerm-does-not-call-installdocs
--- ball-1.3.2.orig/debian/BALLView
+++ ball-1.3.2/debian/BALLView
@@ -0,0 +1,7 @@
+#!/bin/sh
+export LD_LIBRARY_PATH=/usr/lib/BALL
+export BALL_DATA_PATH=/usr/share/BALL/data
+export PYTHONPATH=/usr/lib/BALL/
+# set Antialiasing for NVIDIA cards
+export __GL_FSAA_MODE=6
+/usr/lib/BALL/BALLView $@
--- ball-1.3.2.orig/debian/libball-dev.dirs
+++ ball-1.3.2/debian/libball-dev.dirs
@@ -0,0 +1,2 @@
+usr/include
+usr/lib
--- ball-1.3.2.orig/debian/libballview-dev.dirs
+++ ball-1.3.2/debian/libballview-dev.dirs
@@ -0,0 +1,2 @@
+usr/include
+usr/lib
--- ball-1.3.2.orig/debian/libball1.3-doc.doc-base.manual
+++ ball-1.3.2/debian/libball1.3-doc.doc-base.manual
@@ -0,0 +1,13 @@
+Document: ball-manual
+Title: Developers' manual for BALL, the Biochmical Algorithms Library
+Author: The developers of BALL
+Abstract: BALL (Biochemical Algorithms Library) is an application framework 
+ in C++ that has been specifically designed for rapid software 
+ development in Molecular Modeling and Computational Molecular Biology. 
+ The library documentation comprises an extensive manual on how to program molecular
+ modelling programs with BALL.
+Section: Science/Chemistry
+
+Format: HTML
+Index: /usr/share/doc/libball1.3/html/BALL/index.html
+Files: /usr/share/doc/libball1.3/html/BALL/*.html
--- ball-1.3.2.orig/debian/ballview.dirs
+++ ball-1.3.2/debian/ballview.dirs
@@ -0,0 +1,3 @@
+usr/bin
+usr/share/man/man1
+usr/share/doc/ballview/html
--- ball-1.3.2.orig/debian/createBALLDeb
+++ ball-1.3.2/debian/createBALLDeb
@@ -0,0 +1,116 @@
+#!/bin/bash -x
+# script to create a Debian binary package while creating a source package
+
+# bail out when a command has a non-zero return value
+set -e
+
+VERSION="1.3"
+PREFIX=/usr
+export BALL_PATH=`pwd | sed -e 's%/debian$%%' -e 's%/debian-upstream$%%'`
+if [ ! -d "$BALL_PATH" ]; then
+	echo "$0: source root directory '$BALL_PATH' is not existing."
+	echo "Pwd: " `pwd`
+	exit -1
+fi
+export BALL_INSTALL_PATH=${BALL_PATH}/build/${PREFIX}/
+
+# we will need the python version used to build our modules later
+PYTHON_VERSION=$(ldd ${BALL_INSTALL_PATH}/lib/BALLCore.so | grep python | sed "s_^.*libpython\(...\).*_\1_")
+
+# and the corresponding site-packages path (without the leading /usr)
+PYTHON_SITE_PATH=$(python${PYTHON_VERSION} -c "import distutils.sysconfig; print distutils.sysconfig.get_python_lib(0,0)[4:];")
+
+cd $BALL_PATH/debian
+mkdir -p libball${VERSION}${PREFIX}/lib \
+	libball${VERSION}${PREFIX}/share/BALL \
+  libball${VERSION}${PREFIX}/share/BALL/doc \
+	libball${VERSION}-dev${PREFIX}/include \
+  libball${VERSION}-dev${PREFIX}/lib \
+	libballview${VERSION}${PREFIX}/lib \
+	libballview${VERSION}-dev${PREFIX}/include/BALL \
+	libballview${VERSION}-dev${PREFIX}/lib \
+  libball${VERSION}-doc${PREFIX}/share/doc/libball${VERSION}/html \
+  python-ball${PREFIX}/share/BALL \
+	python-ball${PREFIX}/${PYTHON_SITE_PATH} \
+	python-ballview${PREFIX}/${PYTHON_SITE_PATH} \
+  ballview${PREFIX}/bin \
+	ballview${PREFIX}/share/man/man1 \
+	ballview${PREFIX}/share/doc/ballview/html \
+	ballview${PREFIX}/share/applications \
+	ballview${PREFIX}/share/pixmaps \
+	ballview${PREFIX}/share/BALL/data/graphics
+
+# remember the targets of the ldconfig symbolic links
+LIBBALL_TARGET=$(ls -l ${BALL_INSTALL_PATH}/lib/libBALL.so)
+LIBBALL_TARGET=${LIBBALL_TARGET#* -> }
+LIBBALL_TARGET=$(basename ${LIBBALL_TARGET})
+
+LIBVIEW_TARGET=$(ls -l ${BALL_INSTALL_PATH}/lib/libVIEW.so)
+LIBVIEW_TARGET=${LIBVIEW_TARGET#* -> }
+LIBVIEW_TARGET=$(basename ${LIBVIEW_TARGET})
+
+# get rid of the symbolic links before we copy anything
+rm     ${BALL_INSTALL_PATH}/lib/libBALL.so
+rm     ${BALL_INSTALL_PATH}/lib/libVIEW.so
+
+cp    ${BALL_INSTALL_PATH}/lib/libBALL*.so.*  libball${VERSION}${PREFIX}/lib/
+cp    ${BALL_INSTALL_PATH}/lib/libVIEW*.so.*  libballview${VERSION}${PREFIX}/lib/
+cp -r ${BALL_INSTALL_PATH}/share/BALL/data   libball${VERSION}${PREFIX}/share/BALL
+cp -r ${BALL_INSTALL_PATH}/include/BALL      libball${VERSION}-dev${PREFIX}/include
+cp -r ${BALL_INSTALL_PATH}/include/BALL/VIEW libballview${VERSION}-dev${PREFIX}/include/BALL
+# CMake does not build .la files by default...
+#cp    ${BALL_INSTALL_PATH}/lib/libBALL.la    libball${VERSION}-dev${PREFIX}/lib
+#cp    ${BALL_INSTALL_PATH}/lib/libVIEW.la    libballview${VERSION}-dev${PREFIX}/lib
+
+# debian needs the logo in the ballview - package, not in the libball
+cp libball${VERSION}${PREFIX}/share/BALL/data/graphics/ballview*.xpm ballview${PREFIX}/share/pixmaps/
+
+# get rid of the VIEW includes in libball-dev
+rm -rf libball${VERSION}-dev${PREFIX}/include/BALL/VIEW
+
+# FIXME: the links should be relative!  Steffen
+ln -s ${LIBBALL_TARGET} libball${VERSION}-dev${PREFIX}/lib/libBALL.so
+ln -s ${LIBVIEW_TARGET} libballview${VERSION}-dev${PREFIX}/lib/libVIEW.so
+cp    ${BALL_INSTALL_PATH}/bin/BALLView ballview${PREFIX}/bin/
+cp    ballview.desktop ballview${PREFIX}/share/applications/
+
+# if you want static libs, uncomment the following two lines
+#mv libball${VERSION}${PREFIX}/lib/libBALL.a   libball${VERSION}-dev${PREFIX}/lib &&
+#mv libball${VERSION}${PREFIX}/lib/libVIEW.a   libball${VERSION}-dev${PREFIX}/lib &&
+
+# copy the documentation
+cp -r ${BALL_INSTALL_PATH}/share/BALL/doc/BALLView/* ballview${PREFIX}/share/doc/ballview/html
+cp    ${BALL_INSTALL_PATH}/share/BALL/doc/TUTORIAL/tutorial.pdf 	libball${VERSION}-doc${PREFIX}/share/doc/libball${VERSION}/
+cp -r ${BALL_INSTALL_PATH}/share/BALL/doc/classes libball${VERSION}${PREFIX}/share/BALL/doc
+cp -r ${BALL_INSTALL_PATH}/share/BALL/doc/internal libball${VERSION}${PREFIX}/share/BALL/doc
+# we need the BALLView documentation in the data path as well... sorry for that
+cp -r ${BALL_INSTALL_PATH}/share/BALL/doc/BALLView libball${VERSION}${PREFIX}/share/BALL/doc
+cp -r ${BALL_INSTALL_PATH}/share/BALL/doc/BALL libball${VERSION}-doc${PREFIX}/share/doc/libball${VERSION}/html
+
+gzip -9 -c ${BALL_PATH}/debian/ballview.1 > ballview${PREFIX}/share/man/man1/ballview.1.gz
+gzip -9 -c ${BALL_PATH}/debian/ballview.1 > ballview${PREFIX}/share/man/man1/BALLView.1.gz
+
+cp -r ${BALL_PATH}/source/EXAMPLES/PYTHON python-ball${PREFIX}/share/BALL
+cp ${BALL_INSTALL_PATH}/lib/BALL.py python-ball${PREFIX}/${PYTHON_SITE_PATH}
+cp ${BALL_INSTALL_PATH}/lib/BALLCore.so python-ball${PREFIX}/${PYTHON_SITE_PATH}
+cp ${BALL_INSTALL_PATH}/lib/VIEW.so python-ballview${PREFIX}/${PYTHON_SITE_PATH}
+
+chmod ugo-x libball${VERSION}${PREFIX}/share/BALL/data/QSAR/*
+chmod ugo-x libball${VERSION}${PREFIX}/share/BALL/data/CHARMM/charmm*
+chmod ugo-x libball${VERSION}${PREFIX}/share/BALL/data/graphics/*
+chmod ugo-x libball${VERSION}${PREFIX}/share/BALL/data/structures/*
+chmod 755   libball${VERSION}${PREFIX}/share/BALL/data/structures/DB/
+chmod ugo+x ballview${PREFIX}/bin/BALLView
+chmod ugo-x python-ball${PREFIX}/share/BALL/PYTHON/*.py
+
+# remove spurious rpaths
+chrpath -d ballview${PREFIX}/bin/BALLView
+chrpath -d python-ball${PREFIX}/${PYTHON_SITE_PATH}/*.so
+chrpath -d python-ballview${PREFIX}/${PYTHON_SITE_PATH}/*.so
+
+strip --strip-unneeded libball${VERSION}${PREFIX}/lib/*.so*
+strip --strip-unneeded libballview${VERSION}${PREFIX}/lib/*.so*
+strip --strip-unneeded ballview${PREFIX}/bin/*
+strip --strip-unneeded python-ball${PREFIX}/${PYTHON_SITE_PATH}/*.so*
+strip --strip-unneeded python-ballview${PREFIX}/${PYTHON_SITE_PATH}/*.so*
+
--- ball-1.3.2.orig/debian/ballview.desktop
+++ ball-1.3.2/debian/ballview.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Terminal=false
+Icon=ballview
+Exec=BALLView
+Name=BALLView
+GenericName=Molecular modeling and visualization tool
+Type=Application
+MimeType=chemical/x-pdb;chemical/x-mdl-molfile;chemical/x-mol2;
+Categories=Education;Science;Chemistry;
--- ball-1.3.2.orig/debian/ballview.1
+++ ball-1.3.2/debian/ballview.1
@@ -0,0 +1,54 @@
+.\" Copyright 1998-2009 BALL project group
+.TH BALLView 1 "24 January 2009"
+.SH NAME
+BALLView - A free molecular modeling and molecular graphics tool
+.SH SYNOPSIS
+.B BALLView
+.RI [Molecular-file]
+.SH DESCRIPTION
+.B BALLView
+BALLView provides fast OpenGL-based visualization of molecular structures,
+molecular mechanics methods (minimization, MD simulation using the
+AMBER and CHARMM force fields), calculation and visualization
+of electrostatic properties (FDPB).
+.P
+BALLView is based on BALL (Biochemical Algorithms Library) ,
+which is currently being developed in the groups of Oliver Kohlbacher
+(University of Tuebingen, Germany), Andreas Hildebrandt (Saarland 
+University, Saarbruecken, Germany), and Hans-Peter Lenhof (Saarland 
+University, Saarbruecken, Germany). BALL is an application framework 
+in C++ that has been specifically designed for rapid software
+development in Molecular Modeling and Computational Molecular Biology.
+It provides an extensive set of data structures as well as classes
+for Molecular Mechanics, advanced solvation methods, comparison and
+analysis of protein structures, file import/export, and visualization.
+.P
+BALLView is available under the LGPL licence.
+.P
+Homepage: www.BALLView.org
+.SH USAGE
+.PP
+To run BALLView, simply type:
+.PP
+.RS
+BALLView 
+.P
+or
+.P
+BALLView file.pdp
+.RE
+.PP
+where
+.I file.pdb
+is your PDB file. BALLView also supports HIN, MOL, MOL2 and SD files.
+.P
+BALLView provides HTML documentation, that is available in the application
+itself (see Help menu).
+.P
+This package also includes Python example scripts, that can be run in BALLView.
+They can be found under /usr/share/BALL/PYTHON.
+.SH AUTHOR
+BALLView is copyright 1998-2009 by the BALL project group 
+.SH "SEE ALSO"
+.br
+.B http://www.ballview.org
--- ball-1.3.2.orig/debian/watch
+++ ball-1.3.2/debian/watch
@@ -0,0 +1,3 @@
+version=3
+opts=uversionmangle=s/-(.*)/+$1/ \
+http://ball-www.bioinf.uni-sb.de/Releases/all/BALL-(.*)\.tar\.gz
--- ball-1.3.2.orig/debian/libball1.3-doc.lintian-overrides
+++ ball-1.3.2/debian/libball1.3-doc.lintian-overrides
@@ -0,0 +1,2 @@
+libball1.3-doc binary: postinst-does-not-call-installdocs
+libball1.3-doc binary: prerm-does-not-call-installdocs
--- ball-1.3.2.orig/debian/libballview.dirs
+++ ball-1.3.2/debian/libballview.dirs
@@ -0,0 +1 @@
+usr/lib
--- ball-1.3.2.orig/debian/debian-ball-install
+++ ball-1.3.2/debian/debian-ball-install
@@ -0,0 +1,51 @@
+#!/bin/bash 
+# script to build BALL / BALLView to create and compile a Debian/Ubuntu source package
+
+set -e
+
+#adapt to your settings
+export BALL_PATH=`pwd | sed -e 's%/debian-upstream$%%g' -e 's%/debian$%%g'`
+if [ ! -d "$BALL_PATH" ]; then
+	echo "$0: cannot find directory '$BALL_PATH' as presumed root of the source tree."
+	echo "Pwd: " `pwd`
+	exit -1
+fi
+unset QTDIR
+echo $1
+
+if [ "$1" == "configure" ]
+then
+	cd $BALL_PATH
+	mkdir build && cd build && cmake .. -DCMAKE_INSTALL_PREFIX=./usr -DBALL_PATH=/usr
+	exit $?
+fi
+ 																			
+if [ "$1" == "build" ]
+then
+	cd $BALL_PATH/build && make -j 2 all doc doc_tutorial install
+#	cd $BALL_PATH/source && echo "Running doxygen... This can take a while..." && make doc && echo "Doxygen done!" && make depend && mymake && make install
+#	cd $BALL_PATH/source/PYTHON/EXTENSIONS && mymake && make install
+#	cd $BALL_PATH/source/APPLICATIONS/BALLVIEW && mymake  		
+	exit $?
+fi
+
+if [ "$1" == "install" ]
+then
+	bash debian/createBALLDeb source
+	exit $?
+fi
+
+if [ "$1" == "clean" ]
+then
+	cd $BALL_PATH/source 
+	if [ -f Makefile ] 
+	then 
+		make clean 
+		cd PYTHON/EXTENSIONS
+		make clean
+		rm -rf ../lib/Linux*
+		rm -rf ../doc/doxygen/latex/*
+		rm -f $BALL_PATH/source/config.status 2>/dev/null
+	fi
+	exit $?
+fi
--- ball-1.3.2.orig/debian/libball1.3-doc.doc-base.tutorial
+++ ball-1.3.2/debian/libball1.3-doc.doc-base.tutorial
@@ -0,0 +1,12 @@
+Document: ball-tutorial
+Title: BALL Programming Tutorial
+Author: Andreas Hildebrandt
+Abstract: BALL (Biochemical Algorithms Library) is an application framework 
+ in C++ that has been specifically designed for rapid software 
+ development in Molecular Modeling and Computational Molecular Biology. 
+ This tutorial contains a small structured introduction into programming
+ with BALL.
+Section: Science/Chemistry
+
+Format: PDF
+Files: /usr/share/doc/libball1.3/tutorial.pdf.gz
--- ball-1.3.2.orig/debian/copyright
+++ ball-1.3.2/debian/copyright
@@ -0,0 +1,105 @@
+This package was debianized by Andreas Moll <anmoll@gmx.de> (2007)
+and Andreas Hildebrandt <anhi@bioinf.uni-sb.de> (2008-2009), with some
+assistance by Steffen Moeller <moeller@debian.org> and first completed
+on Mon, 17 Aug 2009 16:49:06 +0200.
+
+It was downloaded from http://ball-www.bioinf.uni-sb.de/Releases/all/
+
+Main Upstream Authors: 
+
+    Andreas Hildebrandt <anhi@bioinf.uni-sb.de>,
+    Oliver Kohlbacher <oliver.kohlbacher@uni-tuebingen.de>, 
+    Andreas Moll <anmoll@gmx.de>
+
+    Further contributers as listed on http://www.ballview.org/Overview/Team :
+
+    Tim Aubertin, Christian Bender, Andreas Bertsch, Nicolas Pascal
+    Boghossian, Andreas Burchardt, Andreas Crauser, Anna Dehof, Carla
+    Haid, Andreas Kerzmann, Heiko Klein, Hans-Peter Lenhof, Bettina
+    Leonhardt, Peter Müller, Stefan Strobel, Marc Sturm
+
+
+Copyright: 1998-2009, the BALL project group
+
+License:
+
+    This package is free software; you can redistribute it and/or
+    modify it either under the terms of the GNU Lesser General Public
+    License (libraries) or the GNU General Public License (the ballview
+    application) as published by the Free Software Foundation; either
+    version 2 of the License, or (at your option) any later version.
+    The respective source code will indicate which license is applying
+    for the code of your interest. If in doubt, contact the the authors.
+
+    This package is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+    Lesser General Public License for more details.
+
+    You should have received a copy of the GNU Lesser General Public
+    License along with this package; if not, write to the Free Software
+    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+
+File: source/configure
+Copyright: (C) 1992-6, 1998-2006 Free Software Foundation, Inc.
+License:
+    This configure script is free software; the Free Software Foundation
+    gives unlimited permission to copy, distribute and modify it.
+
+File: source/config/m4/ltversion.m4
+Copyright: (C) 2004 Free Software Foundation, Inc.
+Author: Scott James Remnant, 2004
+License:
+    This file is free software; the Free Software Foundation gives
+    unlimited permission to copy and/or distribute it, with or without
+    modifications, as long as this notice is preserved.
+
+File: source/config/m4/libtool.m4
+Copyright: (C) 1996-2008 Free Software Foundation, Inc.
+Author: Gordon Matzigkeit, 1996
+    
+      This file is part of GNU Libtool.
+    
+    GNU Libtool is free software; you can redistribute it and/or
+    modify it under the terms of the GNU General Public License as
+    published by the Free Software Foundation; either version 2 of
+    the License, or (at your option) any later version.
+    
+    As a special exception to the GNU General Public License,
+    if you distribute this file as part of a program or library that
+    is built using GNU Libtool, you may include this file under the
+    same distribution terms that you use for the rest of that program.
+    
+    GNU Libtool is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+    
+    You should have received a copy of the GNU General Public License
+    along with GNU Libtool; see the file COPYING.  If not, a copy
+    can be downloaded from http://www.gnu.org/licenses/gpl.html, or
+    obtained by writing to the Free Software Foundation, Inc.,
+    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+File: source/config/m4/ax_boost_*.m4
+Copyright: (C) 2008 Thomas Porschberg <thomas@randspringer.de>, Michael Tindal,
+    Daniel Casimiro <dan.casimiro@gmail.com>, 
+License:
+    Copying and distribution of this file, with or without modification, are
+    permitted in any medium without royalty provided the copyright notice
+    and this notice are preserved.
+
+File: source/config/m4/ac_python_devel.m4
+Copyright: (C) 2008 Sebastian Huber <sebastian-huber@web.de>
+    Alan W. Irwin <irwin@beluga.phys.uvic.ca>, Rafael Laboissiere
+    <rafael@laboissiere.net>, Andrew Collier <colliera@ukzn.ac.za>,
+    Matteo Settenvini <matteo@member.fsf.org>, Horst Knorr <hk_classes@knoda.org>
+License: GPL3+
+
+On Debian systems, the complete text of the GNU Lesser General Public
+License can be found in `/usr/share/common-licenses/LGPL-2' and the GNU
+Public License can be found in `/usr/share/common-licenses/GPL-2'.
+
+The Debian packaging is (C) 2007-8, Andreas Moll <anmoll@gmx.de> 
+and Andreas Hildebrandt <anhi@bioinf.uni-sb.de> and is licensed under
+the GPL, see `/usr/share/common-licenses/GPL'.
--- ball-1.3.2.orig/debian/upstream-metadata.yaml
+++ ball-1.3.2/debian/upstream-metadata.yaml
@@ -0,0 +1,21 @@
+# Collection of meta-data about the upstream project,
+# see http://wiki.debian.org/UpstreamMetadata for reference.
+
+Contact: BALL authors <ball@bioinf.uni-sb.de>
+DOI: 10.1093/bioinformatics/bti818
+Homepage: http://www.ballview.org
+Name: BALL
+PMID: 16332707
+Reference:
+ author: Moll, Andreas and Hildebrandt, Andreas and Lenhof, Hans-Peter and Kohlbacher, Oliver
+ title: BALLView: a tool for research and education in molecular modeling
+ journal: Bioinformatics
+ volume: 22
+ number: 3
+ pages: 365-366
+ year: 2006
+ URL: http://bioinformatics.oxfordjournals.org/cgi/content/abstract/22/3/365
+ eprint: http://bioinformatics.oxfordjournals.org/cgi/reprint/22/3/365.pdf
+Watch: |
+ opts=uversionmangle=s/-(.*)/+$1/ \
+ http://ball-www.bioinf.uni-sb.de/Releases/all/BALL-(.*)\.tar\.gz
--- ball-1.3.2.orig/debian/rules
+++ ball-1.3.2/debian/rules
@@ -0,0 +1,73 @@
+#!/usr/bin/make -f 
+# -*- makefile -*-
+# Uncomment this to turn on verbose mode.
+export DH_VERBOSE=1
+
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+	bash debian/debian-ball-install configure
+	touch $@
+
+build: build-stamp 
+build-stamp: configure-stamp
+	dh_testdir
+	bash debian/debian-ball-install build
+	touch $@
+
+clean:
+	dh_testdir
+	dh_testroot
+	bash debian/debian-ball-install clean
+	dh_clean build-stamp configure-stamp
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k 
+	dh_installdirs
+	#DESTDIR=$(CURDIR)/debian/ballview 
+	bash debian/debian-ball-install install
+	dh_pysupport
+
+
+binary-indep: build install
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs 
+	dh_installdocs
+	dh_installexamples
+#	dh_install
+	dh_installmenu
+#	dh_desktop
+# dh_python
+	dh_installman -p ballview
+	dh_link
+	dh_strip -p libball1.3
+	dh_compress
+	dh_fixperms
+	dh_makeshlibs
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+get-orig-source:
+	if [ -x /usr/bin/uscan ]; then \
+	  uscan --verbose --force-download ; \
+	else \
+	  echo "uscan is not installed to perform the download." ; \
+	fi
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure
--- ball-1.3.2.orig/debian/compat
+++ ball-1.3.2/debian/compat
@@ -0,0 +1 @@
+5
--- ball-1.3.2.orig/debian/README.Debian
+++ ball-1.3.2/debian/README.Debian
@@ -0,0 +1,22 @@
+The BALL suite for structural biology has an enormous flexibility in
+its field of applications. There are so many, that a single group,
+or even collaborating groups like the ones behind BALL, cannot provide
+all the possible tools that would come handy to prepare the input for
+BALL or to further interpret its output. The Debian community provides a
+nice environment, very useful already, and we are happy to have further
+contributed to it.
+
+The maintainer of this package is from BALL's upstream
+development team (http://www.ballview.org). The Debian-Med community
+(http://debian-med.alioth.debian.org) jumps in to lower the entry barriers
+a bit. We all are very open towards new experiences and ideas about what
+the distribution of BALL with Debian/Ubuntu might bring or has brought
+for structural bioinformatics. If there are workflows (interactions
+with other tools in Debian-Med) you are now experimenting with that
+were previously too tedious to prepare or an increased accessibility of
+distributed computing (clusters, clouds, ...?) then please drop us a note.
+
+Andreas Hildebrandt (on behalf of the BALL developers) and
+Steffen Moeller (on behalf of Debian-Med)
+
+					 Tue, 21 Jul 2009 23:38:45 +0200
--- ball-1.3.2.orig/debian/ballview.menu
+++ ball-1.3.2/debian/ballview.menu
@@ -0,0 +1,7 @@
+?package(ballview):\
+  needs="X11"\
+	section="Applications/Science/Chemistry"\
+  title="BALLView"\
+	command="/usr/bin/BALLView"\
+	icon="ballview_32x32.xpm"\
+  longtitle="BALLView: A Molecular modeling and molecular graphics tool"
--- ball-1.3.2.orig/debian/ballview.doc-base
+++ ball-1.3.2/debian/ballview.doc-base
@@ -0,0 +1,15 @@
+Document: ballview
+Title: The ballview application's manual
+Author: Andreas Hildebrandt
+Abstract: BALLView is a free molecular modeling and molecular graphics tool
+ BALLView provides fast OpenGL-based visualization of molecular structures, 
+ molecular mechanics methods (minimization, MD simulation using the 
+ AMBER, CHARMM, and MMFF94 force fields), calculation and visualization 
+ of electrostatic properties (FDPB) and molecular editing features.
+ The application's documentation is available as HTML and can be read
+ from within the program itself.
+Section: Science/Chemistry
+
+Format: HTML
+Index: /usr/share/doc/ballview/html/index.html
+Files: /usr/share/doc/ballview/html/*.html
--- ball-1.3.2.orig/debian/control
+++ ball-1.3.2/debian/control
@@ -0,0 +1,137 @@
+Source: ball
+Section: science
+Priority: optional
+Maintainer: Andreas Hildebrandt <anhi@bioinf.uni-sb.de>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 5), libqt4-dev, libqt4-gui, libqt4-opengl,
+ libqt4-opengl-dev, libqt4-sql, libqt4-network, sip4, python-sip4,
+ python-sip4-dev (>= 4.8.2), flex, bison, cmake, libglew1.5-dev|libglew-dev, 
+ libfftw3-dev, libgsl0-dev, python-dev (>= 2.4), libxrender-dev,
+ libboost-dev, libboost-iostreams-dev, libboost-thread-dev, 
+ libboost-math-dev | libboost-dev (<< 1.37), libboost-system-dev | libboost-dev (<< 1.37),
+ libasio-dev, libboost-regex-dev, libxmu-dev, doxygen, tidy,
+ texlive-base, texlive-latex-recommended, texlive-fonts-recommended, gs-common,
+ texlive-latex-extra, graphviz, chrpath, python-support (>= 0.90.0)
+XS-Python-Version: all
+Standards-Version: 3.8.3
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/ball/trunk/?rev=0&sc=0
+Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/ball/trunk/
+Homepage: http://www.ballview.org
+
+Package: libball1.3
+Section: science
+Architecture: any
+Depends: ${shlibs:Depends} ${misc:Depends}
+Description: Biochemical Algorithms Library
+ BALL (Biochemical Algorithms Library) is an application framework 
+ in C++ that has been specifically designed for rapid software 
+ development in Molecular Modeling and Computational Molecular Biology. 
+ It provides an extensive set of data structures as well as classes 
+ for Molecular Mechanics, advanced solvation methods, comparison and 
+ analysis of protein structures, file import/export, and visualization.
+ BALL is currently being developed in the groups of Oliver Kohlbacher
+ (University of Tuebingen, Germany), Andreas Hildebrandt (Saarland 
+ University, Saarbruecken, Germany), and Hans-Peter Lenhof (Saarland 
+ University, Saarbruecken, Germany).
+ .
+ This package contains the view - independent parts of BALL (libBALL,
+ data directories et al., except for libVIEW) and can be installed on
+ machines without X11.
+
+Package: libball1.3-dev
+Section: libdevel
+Architecture: any
+Depends: libball1.3 (= ${binary:Version}) ${misc:Depends}
+Recommends: libball1.3-doc
+Description: Header files for the Biochemical Algorithms Library
+ This package comprises the header files allowing to create
+ one's own applications with the BALL library.
+
+Package: libballview1.3
+Section: science
+Architecture: any
+Depends: ${shlibs:Depends} ${misc:Depends}
+Description: Biochemical Algorithms Library, VIEW framework
+ BALL (Biochemical Algorithms Library) is an application framework 
+ in C++ that has been specifically designed for rapid software 
+ development in Molecular Modeling and Computational Molecular Biology. 
+ It provides an extensive set of data structures as well as classes 
+ for Molecular Mechanics, advanced solvation methods, comparison and 
+ analysis of protein structures, file import/export, and visualization.
+ BALL is currently being developed in the groups of Oliver Kohlbacher
+ (University of Tuebingen, Germany), Andreas Hildebrandt (Saarland 
+ University, Saarbruecken, Germany), and Hans-Peter Lenhof (Saarland 
+ University, Saarbruecken, Germany).
+ .
+ This package contains the view parts of BALL (libVIEW) required for
+ molecular visualization and required for running BALLView.
+
+Package: libballview1.3-dev
+Section: libdevel
+Architecture: any
+Depends: libballview1.3 (= ${binary:Version}) ${misc:Depends}
+Recommends: libball1.3-doc
+Description: Header files for the VIEW part of the Biochemical Algorithms Library
+ BALL (Biochemical Algorithms Library) is an application framework 
+ in C++ that has been specifically designed for rapid software 
+ development in Molecular Modeling and Computational Molecular Biology. 
+ This package comprises the header files allowing to create one's own 
+ applications with the VIEW framework of the BALL library.
+
+Package: python-ball
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends}, ${python:Depends}, python-sip4 (>= 4.8.2), 
+ libball1.3 ${misc:Depends}
+Description: Python bindings for the Biochemical Algorithms Library
+ BALL (Biochemical Algorithms Library) is an application framework 
+ in C++ that has been specifically designed for rapid software 
+ development in Molecular Modeling and Computational Molecular Biology. 
+ This package provides scripting access to the VIEW-independent functionality 
+ of the Biochemical Algorithms Library (BALL).
+
+Package: python-ballview
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends}, ${python:Depends}, python-sip4 (>= 4.8.2), 
+ libball1.3, libballview1.3 ${misc:Depends}
+Description: Python bindings for VIEW-parts of the Biochemical Algorithms Library
+ BALL (Biochemical Algorithms Library) is an application framework 
+ in C++ that has been specifically designed for rapid software 
+ development in Molecular Modeling and Computational Molecular Biology. 
+ This package provides scripting access to the VIEW-dependent functionality 
+ of the Biochemical Algorithms Library (BALL).
+
+Package: ballview
+Section: science
+Architecture: any
+Depends: ${shlibs:Depends}, libball1.3, libballview1.3, python-ball,
+ python-ballview ${misc:Depends}
+Description: A free molecular modeling and molecular graphics tool
+ BALLView provides fast OpenGL-based visualization of molecular structures, 
+ molecular mechanics methods (minimization, MD simulation using the 
+ AMBER, CHARMM, and MMFF94 force fields), calculation and visualization 
+ of electrostatic properties (FDPB) and molecular editing features.
+ .
+ BALLView can be considered a graphical user interface on the basis of
+ BALL (Biochemical Algorithms Library), having taken the most common
+ demands of protein chemists and biophysicists in particular taken into account.
+ which is currently being developed in the groups of Hans-Peter Lenhof 
+ (Saarland University, Saarbruecken, Germany) and Oliver Kohlbacher 
+ (University of Tuebingen, Germany). BALL is an application framework 
+ in C++ that has been specifically designed for rapid software 
+ development in Molecular Modeling and Computational Molecular Biology. 
+ It provides an extensive set of data structures as well as classes 
+ for Molecular Mechanics, advanced solvation methods, comparison and 
+ analysis of protein structures, file import/export, and visualization.
+
+Package: libball1.3-doc
+Architecture: all
+Section: doc
+Depends: libball1.3 ${misc:Depends}
+Description: Documentation for the BALL library
+ BALL (Biochemical Algorithms Library) is an application framework 
+ in C++ that has been specifically designed for rapid software 
+ development in Molecular Modeling and Computational Molecular Biology. 
+ The package comprises an extensive manual on how to program molecular
+ modelling programs with BALL.
